Module
Inhalte
Index 🔎︎

# Anweisung Option VBASupport

Gibt an, dass LibreOffice Basic einige VBA Anweisungen, Funktionen und Objekte unterstützt.

Die Unterstützung für VBA ist nicht komplett, aber umfasst einen großen Teil der allgemein gebräuchlichen Muster.

## Syntax:

    Option VBASupport {1|0}

## Parameter:

Diese Anweisung muss in einem Modul vor dem ausführbaren Programmcode stehen.

1: VBA-Unterstützung in LibreOffice aktivieren

0: VBA-Unterstützung deaktivieren

## Beispiel:

    Option VBASupport 1

    Sub ExampleVBA

    Dim sVar As Single

     sVar = Worksheets("Sheet1").Range("A1")

    Print sVar

    End Sub

Verwandte Themen

VBA-Eigenschaften

VBA-Unterstützung in LibreOffice